TestRefinement#test_prepend_after_refine_wb_miss too slow

06/15/2016 07:38 AM - zeha (Christian Hofstaedtler)

Status: Closed   

Priority: Normal   

Assignee: shugo (Shugo Maeda)   

Target version:    

ruby -v: ruby 2.3.1p112 (2016-04-26)

[x86_64-linux-gnu]

Backport: 2.1: DONTNEED, 2.2: DONTNEED, 2.3:

DONE

Description

In Debian we've recently enabled the full test suite (make test-all) on all architectures.

As part of that, we found that TestRefinement#test_prepend_after_refine_wb_miss times out on slower archs (think armhf, mips, ...).

  Error:

TestRefinement#test_prepend_after_refine_wb_miss:

Timeout::Error: execution of assert_normal_exit expired

pid 30320 exit 1

| -:38:in `block in <main>': NameError

|  from -:3:in `times'

|  from -:3:in `<main>'

| 

    /«PKGBUILDDIR»/test/ruby/test_refinement.rb:786:in `test_prepend_after_refine_wb_miss'

 Please consider bumping the timeout and/or excluding the test?

Please also backport this to 2.3. Thanks!

Associated revisions

Revision a1d17c590775d2745b730a19d6dde526bf42fa14 - 06/29/2016 03:45 AM - shugo (Shugo Maeda)

test/ruby/test_refinement.rb: skip

test_prepend_after_refine_wb_miss on ARM or MIPS.

[ruby-core:76031] [Bug #12491]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55532 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision a1d17c59 - 06/29/2016 03:45 AM - shugo (Shugo Maeda)

test/ruby/test_refinement.rb: skip

test_prepend_after_refine_wb_miss on ARM or MIPS.

[ruby-core:76031] [Bug #12491]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55532 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision be2763092ded65c81de2e902fc89bd3775e391fe - 08/01/2016 04:33 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 55532: [Backport #12491]

    * test/ruby/test_refinement.rb: skip

      test_prepend_after_refine_wb_miss on ARM or MIPS.

      [ruby-core:76031] [Bug #12491]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@55790 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision be276309 - 08/01/2016 04:33 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 55532: [Backport #12491]

    * test/ruby/test_refinement.rb: skip

      test_prepend_after_refine_wb_miss on ARM or MIPS.

      [ruby-core:76031] [Bug #12491]
 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@55790 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 06/24/2016 06:14 AM - shugo (Shugo Maeda)

- Status changed from Open to Assigned

- Assignee set to shugo (Shugo Maeda)

Christian Hofstaedtler wrote:

In Debian we've recently enabled the full test suite (make test-all) on all architectures.

As part of that, we found that TestRefinement#test_prepend_after_refine_wb_miss times out on slower archs (think armhf, mips, ...).

(snip)

Please consider bumping the timeout and/or excluding the test?

 Does the following fix work?

diff --git a/test/ruby/test_refinement.rb b/test/ruby/test_refinement.rb

index 1984d2c..c9de8e8 100644

--- a/test/ruby/test_refinement.rb

+++ b/test/ruby/test_refinement.rb

@@ -785,6 +785,9 @@ class C

   eval PrependAfterRefine_CODE

 

   def test_prepend_after_refine_wb_miss

+    if /\A(arm|mips)/ =~ RUBY_PLATFORM

+      skip "too slow cpu"

+    end

     assert_normal_exit %Q{

       GC.stress = true

       10.times{

#2 - 06/29/2016 03:45 AM - shugo (Shugo Maeda)

- Status changed from Assigned to Closed

Applied in changeset r55532.

test/ruby/test_refinement.rb: skip

test_prepend_after_refine_wb_miss on ARM or MIPS.

[ruby-core:76031] [Bug #12491]

#3 - 06/29/2016 03:45 AM - shugo (Shugo Maeda)

- Backport changed from 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: REQUIRED to 2.1: DONTNEED, 2.2: DONTNEED, 2.3: REQUIRED

#4 - 08/01/2016 04:33 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.1: DONTNEED, 2.2: DONTNEED, 2.3: REQUIRED to 2.1: DONTNEED, 2.2: DONTNEED, 2.3: DONE

ruby_2_3 r55790 merged revision(s) 55532.
